kcjf.net
当前位置:首页 >> 想用Spring的织入,需要哪些JAr包啊 >>

想用Spring的织入,需要哪些JAr包啊

除了基本的spring jar包外,还需要aspectjrt.jar、aspectjweaver.jar和cglib-nodep-2.1_3.jar.前两个是对AOP的支持的,cglib是支持动态代理的.

如下:commons-logging.jarspring-aop.jarspring-core.jarspring-context.jarspring-beans.jarspring-expression.jarspring-web.jarspring-tx.jaraopalliance.jaraspectjrt.jaraspectjweaver.jar

spring-corespring-beansspring-contextspring-context-supportspring-txspring-expressionspring-web

spring.jar是包含有完整发布的单个jar 包,spring.jar中包含除了spring-mock.jar里所包含的内容外其它所有jar包的内容,因为只有在开发环境下才会用到 spring-mock.jar来进行辅助测试,正式应用系统中是用不得这些类的.除了spring.jar文件,

如下:1. commons-logging.jar2. spring-aop.jar3. spring-core.jar4. spring-context.jar5. spring-beans.jar6. spring-expression.jar7. spring-web.jar8. spring-tx.jar9. aopalliance.jar10. aspectjrt.jar11. aspectjweaver.jar

2.5版本之前所需的包:commons-logging.jar, log4j-1.2.15.jar, servlet-api.jar, spring.jar, spring-web.jar, spring-webmvc.jar2.5版本之后所需的包:commons-logging.jar, log4j-1.2.15.jar, servlet-api.jar, spring.jar

1.junit-x.x.x.jar 这个不是必须的,不加也可以,不过一般是加的因为到时候可以用来测试.2.spring-webmvc-x.x.x.RELEASE.jar3.spring-aop-x.x.x.RELEASE.jar4.spring-beans-x.x.x.RELEASE.jar5.spring-context-x.x.x.RELEASE.jar6.spring-core-x.

最少需要11个jar包,分别是:1. spring-context.jar2. commons-logging.jar3. aspectjrt.jar4. spring-core.jar5. aspectjweaver.jar6. spring-beans.jar7. spring-expression.jar8. spring-web.jar9. spring-tx.jar10. spring-aop.jar11. aopalliance.jarJAR(Java

spring-context-3.1.0.RELEASE.jarspring-aop-3.1.0.RELEASE.jaraopalliance-1.0.jarspring-beans-3.1.0.RELEASE.jarpring-core-3.1.0.RELEASE.jarspring-expression-3.1.0.RELEASE.jarspring-asm-3.1.0.RELEASE.jarspring-webmvc-3.1.0.

spring依赖的jar包如下: 下面是每个jar包的说明 spring.jar 是包含有完整发布模块的单个jar 包.但是不包括mock.jar, aspects.jar, spring-portlet.jar, and spring-hibernate2.jar. spring-src.zip就是所有的源代码压缩包.

网站首页 | 网站地图
All rights reserved Powered by www.kcjf.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com